Subject: [bug#36038] [PATCH] gnu: Remove ghc-parsec, ghc-stm, ghc-text, ghc-xhtml.

From: Robert Vollmert <[email-masked]>
Date: Thu, 6 Jun 2019 01:20:15 +0200

> On 5. Jun 2019, at 23:38, Robert Vollmert <[email-masked]> wrote:
> 
> These are ghc-8.4-bundled packages, removing to avoid build
> conflicts.
> 
> * gnu/packages/haskell.scm (ghc-parsec, ghc-stm, ghc-text): Remove.
> * gnu/packages/haskell-web.scm (ghc-xhtml): Remove.
> * gnu/packages/{agda,bioinformatics,haskell,haskell-apps,haskell-check,
> haskell-crypto,haskell-web,idris,wm}.scm: Remove dependencies on
> ghc-parsec, ghc-stm and ghc-text.

I suppose also for this huge patch you’d prefer a full changelog? In that
case, is there a script available to automate this? Else I’ll look into
writing one.